2019-03-25 15:52 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006113Spring engineGeneralpublic2019-01-06 15:09
Reporterlhog 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006113: Reflection cubemap becomes incorrect on zoom out
DescriptionHi!

I'm trying to put together a PBR Map shader and one of the steps PBR shader has to is to sample an environment cubemap.

When I zoom out too far, $reflection cubemap becomes incorrect, thus leading to ugly map rendering.

See two consecutive screenshots. Here I zoom out: one screenshot is made right before the cubemap becomes incorrect, second - after. Note I placed a glossy sphere (a unit) to show what the top face of the cubemap becomes:
1) https://cdn.discordapp.com/attachments/288994979748249600/531081674579247106/screen00115.png
2) https://cdn.discordapp.com/attachments/288994979748249600/531081684242792448/screen00116.png
Steps To ReproduceSample $reflect on maximal zoom and notice that top face of the cubemap turns wrong.
Additional InformationVersion: win32\104.0.1-941-gfcc4751
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019644

Kloot (developer)

deja-vu of 0005066, but different
+Notes

-Issue History
Date Modified Username Field Change
2019-01-05 13:31 lhog New Issue
2019-01-06 15:09 Kloot Assigned To => Kloot
2019-01-06 15:09 Kloot Status new => resolved
2019-01-06 15:09 Kloot Resolution open => fixed
2019-01-06 15:09 Kloot Note Added: 0019644
2019-01-06 15:09 Kloot Fixed in Version => 104.0 +git
+Issue History